#pragma once

enum eSound : int16
{
	SOUND_CAR_DOOR_CLOSE_BONNET = 0,
	SOUND_CAR_DOOR_CLOSE_BUMPER = 1,
	SOUND_CAR_DOOR_CLOSE_FRONT_LEFT = 2,
	SOUND_CAR_DOOR_CLOSE_FRONT_RIGHT = 3,
	SOUND_CAR_DOOR_CLOSE_BACK_LEFT = 4,
	SOUND_CAR_DOOR_CLOSE_BACK_RIGHT = 5,
	SOUND_CAR_DOOR_OPEN_BONNET = 6,
	SOUND_CAR_DOOR_OPEN_BUMPER = 7,
	SOUND_CAR_DOOR_OPEN_FRONT_LEFT = 8,
	SOUND_CAR_DOOR_OPEN_FRONT_RIGHT = 9,
	SOUND_CAR_DOOR_OPEN_BACK_LEFT = 10,
	SOUND_CAR_DOOR_OPEN_BACK_RIGHT = 11,
	SOUND_CAR_WINDSHIELD_CRACK = 12,
	SOUND_CAR_JUMP = 13,
	SOUND_E = 14,
	SOUND_F = 15,
	SOUND_CAR_ENGINE_START = 16,
	SOUND_CAR_LIGHT_BREAK = 17,
	SOUND_CAR_HYDRAULIC_1 = 18,
	SOUND_CAR_HYDRAULIC_2 = 19,
	SOUND_CAR_HYDRAULIC_3 = 20,
	SOUND_CAR_JERK = 21,
	SOUND_CAR_SPLASH = 22,
	SOUND_17 = 23,
	SOUND_18 = 24,
	SOUND_19 = 25,
	SOUND_CAR_TANK_TURRET_ROTATE = 26,
	SOUND_CAR_BOMB_TICK = 27,
	SOUND_PLANE_ON_GROUND = 28,
	SOUND_STEP_START = 29,
	SOUND_STEP_END = 30,
	SOUND_FALL_LAND = 31,
	SOUND_FALL_COLLAPSE = 32,
	SOUND_FIGHT_PUNCH_33 = 33,
	SOUND_FIGHT_KICK_34 = 34,
	SOUND_FIGHT_HEADBUTT_35 = 35,
	SOUND_FIGHT_PUNCH_36 = 36,
	SOUND_FIGHT_PUNCH_37 = 37,
	SOUND_FIGHT_CLOSE_PUNCH_38 = 38,
	SOUND_FIGHT_PUNCH_39 = 39,
	SOUND_FIGHT_PUNCH_OR_KICK_BELOW_40 = 40,
	SOUND_FIGHT_PUNCH_41 = 41,
	SOUND_FIGHT_PUNCH_FROM_BEHIND_42 = 42,
	SOUND_FIGHT_KNEE_OR_KICK_43 = 43,
	SOUND_FIGHT_KICK_44 = 44,
	SOUND_2D = 45,
	SOUND_WEAPON_BAT_ATTACK = 46,
	SOUND_WEAPON_SHOT_FIRED = 47,
	SOUND_WEAPON_RELOAD = 48,
	SOUND_WEAPON_AK47_BULLET_ECHO = 49,
	SOUND_WEAPON_UZI_BULLET_ECHO = 50,
	SOUND_WEAPON_M16_BULLET_ECHO = 51,
	SOUND_WEAPON_FLAMETHROWER_FIRE = 52,
	SOUND_WEAPON_SNIPER_SHOT_NO_ZOOM = 53,
	SOUND_WEAPON_ROCKET_SHOT_NO_ZOOM = 54,
	SOUND_WEAPON_HIT_PED = 55,
	SOUND_WEAPON_HIT_VEHICLE = 56,
	SOUND_GARAGE_NO_MONEY = 57,
	SOUND_GARAGE_BAD_VEHICLE = 58,
	SOUND_GARAGE_OPENING = 59,
	SOUND_GARAGE_BOMB_ALREADY_SET = 60,
	SOUND_GARAGE_BOMB1_SET = 61,
	SOUND_GARAGE_BOMB2_SET = 62,
	SOUND_GARAGE_BOMB3_SET = 63,
	SOUND_40 = 64,
	SOUND_41 = 65,
	SOUND_GARAGE_VEHICLE_DECLINED = 66,
	SOUND_GARAGE_VEHICLE_ACCEPTED = 67,
	SOUND_GARAGE_DOOR_CLOSED = 68,
	SOUND_GARAGE_DOOR_OPENED = 69,
	SOUND_CRANE_PICKUP = 70,
	SOUND_PICKUP_WEAPON_BOUGHT = 71,
	SOUND_PICKUP_WEAPON = 72,
	SOUND_PICKUP_HEALTH = 73,
	SOUND_4A = 74,
	SOUND_4B = 75,
	SOUND_PICKUP_ADRENALINE = 76,
	SOUND_PICKUP_ARMOUR = 77,
	SOUND_PICKUP_BONUS = 78,
	SOUND_PICKUP_MONEY = 79,
	SOUND_PICKUP_HIDDEN_PACKAGE = 80,
	SOUND_PICKUP_PACMAN_PILL = 81,
	SOUND_PICKUP_PACMAN_PACKAGE = 82,
	SOUND_PICKUP_FLOAT_PACKAGE = 83,
	SOUND_BOMB_TIMED_ACTIVATED = 84,
	SOUND_55 = 85,
	SOUND_BOMB_ONIGNITION_ACTIVATED = 86,
	SOUND_BOMB_TICK = 87,
	SOUND_RAMPAGE_START = 88,
	SOUND_RAMPAGE_ONGOING = 89,
	SOUND_RAMPAGE_PASSED = 90,
	SOUND_RAMPAGE_FAILED = 91,
	SOUND_RAMPAGE_KILL = 92,
	SOUND_RAMPAGE_CAR_BLOWN = 93,
	SOUND_EVIDENCE_PICKUP = 94,
	SOUND_UNLOAD_GOLD = 95,
	SOUND_PAGER = 96,
	SOUND_PED_DEATH = 97, // 103 in VC
	SOUND_PED_DAMAGE = 98, // 104 in VC
	SOUND_PED_HIT = 99, // 105 in VC
	SOUND_PED_LAND = 100, // hopefully 106 in VC
	SOUND_PED_BULLET_HIT = 101,
	SOUND_PED_BOMBER = 102,
	SOUND_PED_BURNING = 103, // 108 in VC
	SOUND_PED_ARREST_FBI = 104,
	SOUND_PED_ARREST_SWAT = 105,
	SOUND_PED_ARREST_COP = 106,
	SOUND_PED_HELI_PLAYER_FOUND = 107,
	SOUND_PED_HANDS_UP = 108,
	SOUND_PED_HANDS_COWER = 109,
	SOUND_PED_FLEE_SPRINT = 110, // 120 in VC
	SOUND_PED_CAR_JACKING = 111,
	SOUND_PED_MUGGING = 112,
	SOUND_PED_CAR_JACKED = 113,
	SOUND_PED_ROBBED = 114,
	SOUND_PED_TAXI_WAIT = 115, // 137 in VC
	SOUND_PED_ATTACK = 116,
	SOUND_PED_DEFEND = 117,
	SOUND_PED_PURSUIT_ARMY = 118,
	SOUND_PED_PURSUIT_FBI = 119,
	SOUND_PED_PURSUIT_SWAT = 120,
	SOUND_PED_PURSUIT_COP = 121,
	SOUND_PED_HEALING = 122,
	SOUND_PED_7B = 123,
	SOUND_PED_LEAVE_VEHICLE = 124,
	SOUND_PED_EVADE = 125, // 142 in VC
	SOUND_PED_FLEE_RUN = 126,
	SOUND_PED_CAR_COLLISION = 127, // 144-145-146 in VC
	SOUND_PED_SOLICIT = 128,
	SOUND_PED_EXTINGUISHING_FIRE = 129,
	SOUND_PED_WAIT_DOUBLEBACK = 130,
	SOUND_PED_CHAT_SEXY = 131,
	SOUND_PED_CHAT_EVENT = 132,
	SOUND_PED_CHAT = 133,
	SOUND_PED_BODYCAST_HIT = 134,
	SOUND_PED_TAXI_CALL = 135,
	SOUND_INJURED_PED_MALE_OUCH = 136,
	SOUND_INJURED_PED_FEMALE = 137,
	SOUND_8A = 138,
	SOUND_RACE_START_3 = 139,
	SOUND_RACE_START_2 = 140,
	SOUND_RACE_START_1 = 141,
	SOUND_RACE_START_GO = 142,
	SOUND_SPLASH = 143,
	SOUND_WATER_FALL = 144,
	SOUND_SPLATTER = 145,
	SOUND_CAR_PED_COLLISION = 146,
	SOUND_CLOCK_TICK = 147,
	SOUND_PART_MISSION_COMPLETE = 148,
	SOUND_FRONTEND_MENU_STARTING = 149,
	SOUND_FRONTEND_MENU_COMPLETED = 150,
	SOUND_FRONTEND_MENU_DENIED = 151,
	SOUND_FRONTEND_MENU_SUCCESS = 152,
	SOUND_FRONTEND_EXIT = 153,
	SOUND_9A = 154,
	SOUND_9B = 155,
	SOUND_FRONTEND_AUDIO_TEST = 156,
	SOUND_FRONTEND_FAIL = 157,
	SOUND_FRONTEND_NO_RADIO = 158,
	SOUND_FRONTEND_RADIO_CHANGE = 159,
	SOUND_A0 = 160,
	SOUND_AMMUNATION_WELCOME_1 = 161,
	SOUND_AMMUNATION_WELCOME_2 = 162,
	SOUND_AMMUNATION_WELCOME_3 = 163,
	SOUND_LIGHTNING = 164,
	SOUND_A5 = 165,
	SOUND_TOTAL_SOUNDS = 166,
	SOUND_TOTAL_PED_SOUNDS = 167,
};


enum eScriptSounds : int16 {
	SCRIPT_SOUND_0 = 0,
	SCRIPT_SOUND_1 = 1,
	SCRIPT_SOUND_2 = 2,
	SCRIPT_SOUND_3 = 3,
	SCRIPT_SOUND_PARTY_1_LOOP_S = 4,
	SCRIPT_SOUND_PARTY_1_LOOP_L = 5,
	SCRIPT_SOUND_PARTY_2_LOOP_S = 6,
	SCRIPT_SOUND_PARTY_2_LOOP_L = 7,
	SCRIPT_SOUND_PARTY_3_LOOP_S = 8,
	SCRIPT_SOUND_PARTY_3_LOOP_L = 9,
	SCRIPT_SOUND_PARTY_4_LOOP_S = 10,
	SCRIPT_SOUND_PARTY_4_LOOP_L = 11,
	SCRIPT_SOUND_PARTY_5_LOOP_S = 12,
	SCRIPT_SOUND_PARTY_5_LOOP_L = 13,
	SCRIPT_SOUND_PARTY_6_LOOP_S = 14,
	SCRIPT_SOUND_PARTY_6_LOOP_L = 15,
	SCRIPT_SOUND_PARTY_7_LOOP_S = 16,
	SCRIPT_SOUND_PARTY_7_LOOP_L = 17,
	SCRIPT_SOUND_PARTY_8_LOOP_S = 18,
	SCRIPT_SOUND_PARTY_8_LOOP_L = 19,
	SCRIPT_SOUND_PARTY_9_LOOP_S = 20,
	SCRIPT_SOUND_PARTY_9_LOOP_L = 21,
	SCRIPT_SOUND_PARTY_10_LOOP_S = 22,
	SCRIPT_SOUND_PARTY_10_LOOP_L = 23,
	SCRIPT_SOUND_PARTY_11_LOOP_S = 24,
	SCRIPT_SOUND_PARTY_11_LOOP_L = 25,
	SCRIPT_SOUND_PARTY_12_LOOP_S = 26,
	SCRIPT_SOUND_PARTY_12_LOOP_L = 27,
	SCRIPT_SOUND_PARTY_13_LOOP_S = 28,
	SCRIPT_SOUND_PARTY_13_LOOP_L = 29,
	SCRIPT_SOUND_STRIP_CLUB_LOOP_1_S = 30,
	SCRIPT_SOUND_STRIP_CLUB_LOOP_1_L = 31,
	SCRIPT_SOUND_STRIP_CLUB_LOOP_2_S = 32,
	SCRIPT_SOUND_STRIP_CLUB_LOOP_2_L = 33,
	SCRIPT_SOUND_WORK_SHOP_LOOP_S = 34,
	SCRIPT_SOUND_WORK_SHOP_LOOP_L = 35,
	SCRIPT_SOUND_SAWMILL_LOOP_S = 36,
	SCRIPT_SOUND_SAWMILL_LOOP_L = 37,
	SCRIPT_SOUND_38 = 38,
	SCRIPT_SOUND_39 = 39,
	SCRIPT_SOUND_LAUNDERETTE_LOOP_S = 40,
	SCRIPT_SOUND_LAUNDERETTE_LOOP_L = 41,
	SCRIPT_SOUND_CHINATOWN_RESTAURANT_S = 42,
	SCRIPT_SOUND_CHINATOWN_RESTAURANT_L = 43,
	SCRIPT_SOUND_CIPRIANI_RESAURANT_S = 44,
	SCRIPT_SOUND_CIPRIANI_RESAURANT_L = 45,
	SCRIPT_SOUND_46_S = 46,
	SCRIPT_SOUND_47_L = 47,
	SCRIPT_SOUND_MARCO_BISTRO_S = 48,
	SCRIPT_SOUND_MARCO_BISTRO_L = 49,
	SCRIPT_SOUND_AIRPORT_LOOP_S = 50,
	SCRIPT_SOUND_AIRPORT_LOOP_L = 51,
	SCRIPT_SOUND_SHOP_LOOP_S = 52,
	SCRIPT_SOUND_SHOP_LOOP_L = 53,
	SCRIPT_SOUND_CINEMA_LOOP_S = 54,
	SCRIPT_SOUND_CINEMA_LOOP_L = 55,
	SCRIPT_SOUND_DOCKS_LOOP_S = 56,
	SCRIPT_SOUND_DOCKS_LOOP_L = 57,
	SCRIPT_SOUND_HOME_LOOP_S = 58,
	SCRIPT_SOUND_HOME_LOOP_L = 59,
	SCRIPT_SOUND_FRANKIE_PIANO = 60,
	SCRIPT_SOUND_PARTY_1_LOOP = 61,
	SCRIPT_SOUND_PORN_CINEMA_1_S = 62,
	SCRIPT_SOUND_PORN_CINEMA_1_L = 63,
	SCRIPT_SOUND_PORN_CINEMA_2_S = 64,
	SCRIPT_SOUND_PORN_CINEMA_2_L = 65,
	SCRIPT_SOUND_PORN_CINEMA_3_S = 66,
	SCRIPT_SOUND_PORN_CINEMA_3_L = 67,
	SCRIPT_SOUND_BANK_ALARM_LOOP_S = 68,
	SCRIPT_SOUND_BANK_ALARM_LOOP_L = 69,
	SCRIPT_SOUND_POLICE_BALL_LOOP_S = 70,
	SCRIPT_SOUND_POLICE_BALL_LOOP_L = 71,
	SCRIPT_SOUND_RAVE_LOOP_INDUSTRIAL_S = 72,
	SCRIPT_SOUND_RAVE_LOOP_INDUSTRIAL_L = 73,
	SCRIPT_SOUND_74 = 74,
	SCRIPT_SOUND_75 = 75,
	SCRIPT_SOUND_POLICE_CELL_BEATING_LOOP_S = 76,
	SCRIPT_SOUND_POLICE_CELL_BEATING_LOOP_L = 77,
	SCRIPT_SOUND_INJURED_PED_MALE_OUCH_S = 78,
	SCRIPT_SOUND_INJURED_PED_MALE_OUCH_L = 79,
	SCRIPT_SOUND_INJURED_PED_FEMALE_OUCH_S = 80,
	SCRIPT_SOUND_INJURED_PED_FEMALE_OUCH_L = 81,
	SCRIPT_SOUND_EVIDENCE_PICKUP = 82,
	SCRIPT_SOUND_UNLOAD_GOLD = 83,
	SCRIPT_SOUND_RAVE_1_LOOP_S = 84,
	SCRIPT_SOUND_RAVE_1_LOOP_L = 85,
	SCRIPT_SOUND_RAVE_2_LOOP_S = 86,
	SCRIPT_SOUND_RAVE_2_LOOP_L = 87,
	SCRIPT_SOUND_RAVE_3_LOOP_S = 88,
	SCRIPT_SOUND_RAVE_3_LOOP_L = 89,
	SCRIPT_SOUND_MISTY_SEX_S = 90,
	SCRIPT_SOUND_MISTY_SEX_L = 91,
	SCRIPT_SOUND_GATE_START_CLUNK = 92,
	SCRIPT_SOUND_GATE_STOP_CLUNK = 93,
	SCRIPT_SOUND_PART_MISSION_COMPLETE = 94,
	SCRIPT_SOUND_CHUNKY_RUN_SHOUT = 95,
	SCRIPT_SOUND_SECURITY_GUARD_AWAY_SHOUT = 96,
	SCRIPT_SOUND_RACE_START_3 = 97,
	SCRIPT_SOUND_RACE_START_2 = 98,
	SCRIPT_SOUND_RACE_START_1 = 99,
	SCRIPT_SOUND_RACE_START_GO = 100,
	SCRIPT_SOUND_SWAT_PED_SHOUT = 101,
	SCRIPT_SOUND_PRETEND_FIRE_LOOP = 102,
	SCRIPT_SOUND_AMMUNATION_CHAT_1 = 103,
	SCRIPT_SOUND_AMMUNATION_CHAT_2 = 104,
	SCRIPT_SOUND_AMMUNATION_CHAT_3 = 105,
	SCRIPT_SOUND_BULLET_HIT_GROUND_1 = 106,
	SCRIPT_SOUND_BULLET_HIT_GROUND_2 = 107,
	SCRIPT_SOUND_BULLET_HIT_GROUND_3 = 108,
	SCRIPT_SOUND_BULLET_HIT_WATER = 109, //no sound
	SCRIPT_SOUND_110 = 110,
	SCRIPT_SOUND_111 = 111,
	SCRIPT_SOUND_PAYPHONE_RINGING = 112,
	SCRIPT_SOUND_113 = 113,
	SCRIPT_SOUND_GLASS_BREAK_L = 114,
	SCRIPT_SOUND_GLASS_BREAK_S = 115,
	SCRIPT_SOUND_GLASS_CRACK = 116,
	SCRIPT_SOUND_GLASS_LIGHT_BREAK = 117,
	SCRIPT_SOUND_BOX_DESTROYED_1 = 118,
	SCRIPT_SOUND_BOX_DESTROYED_2 = 119,
	SCRIPT_SOUND_METAL_COLLISION = 120,
	SCRIPT_SOUND_TIRE_COLLISION = 121,
	SCRIPT_SOUND_GUNSHELL_DROP = 122,
	SCRIPT_SOUND_GUNSHELL_DROP_SOFT = 123,
};
